﻿using System;
using System.Collections.Generic;
using System.Diagnostics.Contracts;
using System.Linq;
using System.Text;
using EuroManager.Domain.Simulator.Helpers;

namespace EuroManager.Domain.Simulator.Engine.Movements
{
    public interface IMovement : ITimeAware
    {
        bool IsFinished { get; }

        Vector2D Location { get; }

        Vector2D Velocity { get; }
    }
}
