﻿using System;
using System.Collections.Generic;
using System.Diagnostics.Contracts;
using System.Linq;
using System.Text;

namespace EuroManager.Domain.Simulator.Helpers
{
    public static class SingleExtensions
    {
        [Pure]
        public static bool IsRational(this float value)
        {
            return !Single.IsNaN(value) && !Single.IsInfinity(value);
        }
    }
}
