﻿using System;
using System.Collections.Generic;
using EuroManager.Domain.Simulator.Engine;

namespace EuroManager.Domain.Simulator.World
{
    public interface ITeam : ITimeAware
    {
        PitchSide Side { get; }

        ITeam Opponent { get; set; }

        IEnumerable<IPlayer> Players { get; }

        bool HasBall { get; }
    }
}
