﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace EuroManager.Presentation.WebPortal.GameViewer.Models
{
    public class Ball : PresentationModel
    {
        private float x = 0;
        private float y = 0;

        public float X
        {
            get { return x; }
            set
            {
                if (x != value)
                {
                    x = value;
                    RaisePropertyChanged("X");
                }
            }
        }

        public float Y
        {
            get { return y; }
            set
            {
                if (y != value)
                {
                    y = value;
                    RaisePropertyChanged("Y");
                }
            }
        }
    }
}
