﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics.Contracts;
using System.Linq;
using System.Windows;
using System.Windows.Markup;

namespace EuroManager.Presentation.WebPortal.GameViewer.Utilities
{
    [ContentProperty("Use")]
    public sealed class SelectOption : DependencyObject
    {
        public static readonly DependencyProperty ForProperty =
            DependencyProperty.Register("For", typeof(object), typeof(SelectOption), new PropertyMetadata(default(object)));

        public static readonly DependencyProperty UseProperty =
            DependencyProperty.Register("Use", typeof(object), typeof(SelectOption), new PropertyMetadata(default(object)));

        public SelectOption()
        {
        }
        
        public object For
        {
            get { return (object)GetValue(ForProperty); }
            set { SetValue(ForProperty, value); }
        }

        public object Use
        {
            get { return (object)GetValue(UseProperty); }
            set { SetValue(UseProperty, value); }
        }
    }
}
