﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EuroManager.Domain.Simulator.Result;
using NUnit.Framework;

namespace EuroManager.Domain.Simulator.Tests.Result
{
    [TestFixture]
    public class BallDataTests
    {
        [Test]
        public void ShouldAddFrame()
        {
            float x = 3;
            float y = -2;

            BallData data = new BallData();
            data.AddFrame(x, y);

            Assert.IsTrue(data.X.Contains(x) && data.Y.Contains(y));
        }

        [Test]
        public void ShouldAddMultipleFrames()
        {
            BallData data = new BallData();
            data.AddFrame(3, 5);
            data.AddFrame(-1, 0);
            data.AddFrame(0, 2);

            Assert.AreEqual(3, data.X.Count());
            Assert.AreEqual(3, data.Y.Count());
        }
    }
}
