﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EuroManager.Domain.Simulator.Tactics;
using NUnit.Framework;

namespace EuroManager.Domain.Simulator.Tests.Tactics
{
    [TestFixture]
    public class PitchNodeTests
    {
        [Test]
        public void ShouldEqualWhenCoordinatesEqual()
        {
            PitchNode node1 = new PitchNode(5, 3);
            PitchNode node2 = new PitchNode(5, 3);

            Assert.AreEqual(node1, node2);
            Assert.IsTrue(node1 == node2);
            Assert.IsFalse(node1 != node2);
        }

        [Test]
        public void ShouldNotEqualWhenCoordinatesNotEqual()
        {
            PitchNode node1 = new PitchNode(2, 1);
            PitchNode node2 = new PitchNode(2, 0);

            Assert.AreNotEqual(node1, node2);
            Assert.IsFalse(node1 == node2);
            Assert.IsTrue(node1 != node2);
        }
    }
}
