﻿using System;
using System.Collections.Generic;
using System.Diagnostics.Contracts;
using System.Linq;
using System.Text;
using EuroManager.Domain.Simulator.Helpers;

namespace EuroManager.Domain.Simulator.Result
{
    public class BallData
    {
        private List<float> xs = new List<float>();
        private List<float> ys = new List<float>();

        public float[] X
        {
            get { return xs.ToArray(); }
        }

        public float[] Y
        {
            get { return ys.ToArray(); }
        }

        public void AddFrame(float x, float y)
        {
            Contract.Requires(x.IsRational());
            Contract.Requires(y.IsRational());

            xs.Add(x);
            ys.Add(y);
        }
    }
}
