﻿using System;
using System.Collections.Generic;
using System.Diagnostics.Contracts;
using System.Linq;
using System.Text;

namespace EuroManager.Domain.Simulator.Result
{
    public class HighlightData
    {
        public HighlightData(int startFrame, int endFrame)
        {
            Contract.Requires(startFrame >= 0);
            Contract.Requires(endFrame >= startFrame);

            StartFrame = startFrame;
            EndFrame = endFrame;
        }

        public int StartFrame { get; set; }

        public int EndFrame { get; set; }
    }
}
