﻿using System;
using System.Collections.Generic;
using System.Diagnostics.Contracts;
using System.Linq;
using System.Text;
using EuroManager.Domain.Simulator.World;

namespace EuroManager.Domain.Simulator.Tactics
{
    [ContractClass(typeof(TeamTacticsContract))]
    public interface ITeamTactics
    {
        PlayerTactics GetPlayerTactics(int index);
    }

    [ContractClassFor(typeof(ITeamTactics))]
    public abstract class TeamTacticsContract : ITeamTactics
    {
        public PlayerTactics GetPlayerTactics(int index)
        {
            Contract.Requires(0 <= index && index < Team.PlayerCount);
            return null;
        }
    }
}
