﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EuroManager.Presentation.WebPortal.GameViewer.Data
{
    public class GameData
    {
        public int Score1 { get; set; }

        public int Score2 { get; set; }

        public int FrameCount { get; set; }

        public int Fps { get; set; }

        public int BallFps { get; set; }

        public int PlayerFps { get; set; }

        public int[] TimeUpdates { get; set; }

        public int[] Score1Updates { get; set; }

        public int[] Score2Updates { get; set; }

        public BallData Ball { get; set; }

        public PlayerData[] Players { get; set; }

        public HighlightData[] Highlights { get; set; }
    }
}
