﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Diagnostics.Contracts;
using System.Linq;

namespace EuroManager.Presentation.WebPortal.GameViewer.Utilities
{
    public sealed class SelectOptionCollection : Collection<SelectOption>
    {
        internal SelectOptionCollection()
        {
        }

        public void Add(object @for, object use)
        {
            Add(new SelectOption
            {
                For = @for,
                Use = use
            });
        }
    }
}
